> For the complete documentation index, see [llms.txt](https://docs.bitsby.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bitsby.app/api-documentation/scope.md).

# Scope

## Project Restriction

The “Project” field allows you to restrict the API key's scope to a specific project:

* **Any** — the key has access to all projects in the account
* **Specific project** — the key works only with data from the selected project

When making requests using a key linked to a project, the system automatically filters all data to that project only. Requests for data from other projects will be rejected at the API controller level

## Scope restriction

The scope determines which API methods are available for use by the key. This is a required field with multiple-choice options.

If you attempt to call a method that is not within the key’s scope, the request will be rejected

## Combining restrictions

Project and scope restrictions work together. For example, if a key is restricted to working only with accounts and is linked to a specific project, then:

* Only methods for working with accounts are available
* Data is filtered only by the specified project
* Requests for payments or statistics will be rejected
* Requests for data from other projects will be rejected


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bitsby.app/api-documentation/scope.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
